CVE-2002-1672
CVSS2.1
发布时间 :2002-12-31 00:00:00
修订时间 :2008-09-05 16:31:13
NMCO    

[原文]Webmin 0.92, when installed from an RPM, creates /var/webmin with insecure permissions (world readable), which could allow local users to read the root user's cookie-based authentication credentials and possibly hijack the root user's session using the credentials.


[CNNVD]Webmin不安全目录权限漏洞(CNNVD-200212-154)

        
        Webmin是一宽基于WEB接口的Unix和Linux操作系统系统管理程序。
        Webmin在从RPM安装时存在问题,建立全局可读的/var/webmin目录,可导致敏感信息被泄露。
        Webmin在RPM安装后建立的/var/webmin目录全局可读,如果命令日志功能激活的情况下,就可能造成本地攻击者读取root用户基于COOKIE的认证信息,使用这些认证信息就可以劫持ROOT用户的Webmin会话并控制整个系统。
        目录/etc/webmin/servers/也以全局可读属性设置,并且以明文方式存在相关认证信息,可导致劫持ROOT用户的Webmin会话并控制整个系统。
        

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:webmin:webmin:0.92
cpe:/a:webmin:webmin:0.92.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1672
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1672
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-154
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/8595
(PATCH)  XF  webmin-directory-permissions(8595)
http://www.securityfocus.com/bid/4328
(PATCH)  BID  4328
http://www.webmin.com/changes.html
(UNKNOWN)  CONFIRM  http://www.webmin.com/changes.html

- 漏洞信息

Webmin不安全目录权限漏洞
低危 设计错误
2002-12-31 00:00:00 2005-10-20 00:00:00
本地  
        
        Webmin是一宽基于WEB接口的Unix和Linux操作系统系统管理程序。
        Webmin在从RPM安装时存在问题,建立全局可读的/var/webmin目录,可导致敏感信息被泄露。
        Webmin在RPM安装后建立的/var/webmin目录全局可读,如果命令日志功能激活的情况下,就可能造成本地攻击者读取root用户基于COOKIE的认证信息,使用这些认证信息就可以劫持ROOT用户的Webmin会话并控制整个系统。
        目录/etc/webmin/servers/也以全局可读属性设置,并且以明文方式存在相关认证信息,可导致劫持ROOT用户的Webmin会话并控制整个系统。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 设置正确的日志目录属性。
        厂商补丁:
        Webmin
        ------
        目前厂商已经在新版的软件中修复了这个安全问题,请到厂商的主页下载:
        
        http://www.webmin.com/download/webmin-0.93.tar.gz

- 漏洞信息

20872
Webmin RPM Installation /var/webmin Permission Weakness Information Disclosure
Local Access Required Information Disclosure
Loss of Confidentiality Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2002-03-06 Unknow
Unknow 2002-03-06

- 解决方案

Upgrade to version 0.93 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站